package common.sound;

import common.init.SoundEvent;

public class PositionedSound extends Sound {
	public PositionedSound(SoundEvent event, EventType type) {
		this(event, 1.0F, false, 0.0F, 0.0F, 0.0F);
		this.type = type;
	}

	public PositionedSound(SoundEvent event, float volume, float xPosition, float yPosition, float zPosition) {
		this(event, volume, true, xPosition, yPosition, zPosition);
	}

	private PositionedSound(SoundEvent event, float volume, boolean attenuationType, float xPosition, float yPosition, float zPosition) {
		super(event);
		this.volume = volume;
		this.xPosF = xPosition;
		this.yPosF = yPosition;
		this.zPosF = zPosition;
		this.repeat = false;
		this.attenuationType = attenuationType;
	}
}
